/*
 *  $Id: bcastf.c,v 1.4 1993/11/24 00:49:13 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

/* bcast.c */
/* Fortran interface file for sun4 */
#include "mpi.h"

int mpi_bcast_ ( buffer, count, datatype, root, comm, ierr)
void             *buffer;
int               *count;
int               *datatype;
int               *root;
int               *comm;
int               *ierr;
{
    MPI_Comm     comm2;
    MPI_Datatype datatype2;
    if (*comm == 0) comm2 = MPI_COMM_WORLD;
    else            comm2 = 0;
    if (*datatype == 0) datatype2 = MPI_DOUBLE;
    else                datatype2 = 0;
    *ierr =  MPI_Bcast(buffer,*count,datatype2,*root,comm2);
}
