/*
 *  $Id: chinit.c,v 1.3 1993/11/12 11:54:18 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char SCCSid[] = "%W% %G%";
#endif

/* 
    This file contains the routines that provide the basic information 
    on the device, and initialize it
 */

#include "mpid.h"
#include "dmch.h"

void MPID_CH_myrank( rank )
int *rank;
{
*rank = PImytid;
}

void MPID_CH_mysize( size )
int *size;
{
*size = PInumtids;
}

/* 
    Currently, Chameleon requires that the parallel code be placed in 
    a routine.  

    In addition, Chameleon processes many command-line arguments 
 */
void MPID_CH_init( argc, argv, routine )
int  argc;
char **argv;
int  (*routine)();
{
PICall( argc, argv, routine );
}

void MPID_CH_Abort( code )
int code;
{
SYexitall( code );
}

void MPID_CH_End()
{
/*
trdump( stdout );
*/
}
