/*
 *  $Id: comm_group.c,v 1.4 1993/11/12 12:31:42 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

/*@

MPI_Comm_group - access the group associated with given communicator

@*/

#include <mpi.h>


int MPI_Comm_group ( comm, group )
MPI_Comm comm;
MPI_Group *group;
{
  if (comm == (MPI_Comm)0) 
    (*group) = (MPI_Group)0;
  else
    (*group) = comm->group;
  return (MPI_SUCCESS);
}
